
Smart Proxy - Bug #13318

Puppet CA proxy doesn't display revoked certificates as revoked

01/21/2016 10:32 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1436070 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/493

  

Description

Any certificates that are revoked do not return a state in the API, instead of returning 'state': 'revoked'

Associated revisions

Revision bcf80519 - 01/18/2017 08:29 AM - Dmitri Dolguikh 

Fixes #13318 - Revoked certs always have state 'revoked'

Serial numbers from the CRL are now compared correctly to the inventory

as integers.

History

#1 - 10/20/2016 10:35 PM - Anandharaj Subramaniam

Same in version 1.13.0.

I delete a host, then revoke the cert belongs to the host i deleted. Filter the listing by "revoke", empty list. Filter by "all", display the cert i have revoked

but the state field is empty.

#2 - 01/13/2017 06:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Anonymous

- Pull request https://github.com/theforeman/smart-proxy/pull/493 added

#3 - 01/18/2017 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bcf80519068e34cde038667ec4857ea2a197360b.

#4 - 01/19/2017 03:14 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#5 - 01/31/2017 10:19 AM - Ivan Necas

- Target version set to 1.11.1

#6 - 09/19/2017 02:15 AM - Anand Agrawal

- Bugzilla link set to 1436070
